export interface ApiConfig {
    host: string;
    apiKey: string;
}
export interface OdbObject {
    id: number;
    title: string;
    text: string;
    markerLabel: string;
    lat: string;
    lng: string;
    catId: number;
}
export interface OdbApiHandle {
    getList: (layerId: number) => Promise<OdbObject[]>;
    getObject: (layerId: number, objectId: number) => Promise<OdbObject>;
    updateObject: (layerId: number, objectId: number, update: Partial<OdbObject>) => Promise<OdbObject>;
    addObject: (layerId: number, data: Partial<OdbObject>) => Promise<OdbObject>;
    removeObject: (layerId: number, objectId: number) => Promise<OdbObject>;
}
export default function (config: ApiConfig): OdbApiHandle;
